%global debug_package %{nil}
%global __python %{__python3}
%global tag     1.3.275.0
%global gittag  %(cut -b -7 <<< %{tag})

Name:           vulkan-utility-libraries
Version:        %{tag}
Release:        1%{dist}
Summary:        Vulkan utility libraries

License:        Apache-2.0
URL:            https://github.com/KhronosGroup/Vulkan-Utility-Libraries
Source0:        %url/archive/v%{gittag}.tar.gz#/Vulkan-Utility-Libraries-%{gittag}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  vulkan-headers

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Requires:       vulkan-headers

%description    devel
%{summary}

%prep
%autosetup -n Vulkan-Utility-Libraries-%{gittag}

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DBUILD_TESTS:BOOL=OFF \
        -DVUL_WERROR:BOOL=OFF \
        -DUPDATE_DEPS:BOOL=ON
%cmake3_build

%install
%cmake3_install

%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/vulkan/
%{_libdir}/cmake/VulkanUtilityLibraries/*.cmake
%{_libdir}/libVulkanLayerSettings.a

%changelog
* Sun Jan 14 2024 Bluestang <bluestang2006@gmail.com> - 1.3.275.0-1
- Update to 1.3.275 upstream
